using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Defaultability.Domain;

public class TaobaoTbkDgMaterialOptionalUpgradeMgcInfo
{

    /*
        价格
    */
    private string? price;


    /*
        价格描述
    */
    private string? priceDesc;


    /*
        文案
    */
    private string? promotionSummary;


    /*
        发布时间，13位毫秒时间戳
    */
    private string? publishTime;


    /*
        生效时间，实时线报为0，未来线报为13位毫秒时间戳
    */
    private string? validTime;



    [JsonPropertyName("price")]
    public string? Price
    {
        get => price;
        set => this.price = value;
    }

    [JsonPropertyName("price_desc")]
    public string? PriceDesc
    {
        get => priceDesc;
        set => this.priceDesc = value;
    }

    [JsonPropertyName("promotion_summary")]
    public string? PromotionSummary
    {
        get => promotionSummary;
        set => this.promotionSummary = value;
    }

    [JsonPropertyName("publish_time")]
    public string? PublishTime
    {
        get => publishTime;
        set => this.publishTime = value;
    }

    [JsonPropertyName("valid_time")]
    public string? ValidTime
    {
        get => validTime;
        set => this.validTime = value;
    }

}

